AfterLogic webmail lite在IE9下无法登录的问题

最近发现AfterLogic webmail lite用IE9无法登录,要么提示帐号名密码错,要么没反应,用兼容性视图模式却没问题,这个是afterlogic webmail自己本身的问题,在6.x应该已经解决了,老版本的就想办法改一下吧。
在webmail的文件夹里找到下面两个文件中的其中一个
js/common/common-helpers.js (5.x版本,大约第25行)
或js/class.common.js (4.x版本,大约第39行)

this.IE = (this.Name == ‘Microsoft Internet Explorer’);
修改为:
this.IE = (this.Name == ‘Microsoft Internet Explorer’ && this.Version < 9); this.IE9 = (this.Name == 'Microsoft Internet Explorer' && this.Version >= 9);
然后清空IE9的缓存,就可以登录了

《AfterLogic webmail lite在IE9下无法登录的问题》上的2个想法

  1. 我到現在還是使用5.X.X 版本,6.X.X 開始的版本就沒有甚麼功能,還是5.X.X 版本好,7.X.X 的版本更沒有了支援POP3 協議!!

发表评论

电子邮件地址不会被公开。 必填项已用*标注